Bug 1875851 - Web Admin interface broken on Firefox ESR 68.11
Summary: Web Admin interface broken on Firefox ESR 68.11
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-ui-extensions
Version: 4.4.1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ovirt-4.4.2
: ---
Assignee: Sharon Gratch
QA Contact: Lukas Svaty
URL:
Whiteboard:
Depends On: 1855761
Blocks: 1541529
TreeView+ depends on / blocked
 
Reported: 2020-09-04 14:21 UTC by Andrea Perotti
Modified: 2020-09-23 16:12 UTC (History)
9 users (show)

Fixed In Version: ovirt-engine-ui-extensions-1.2.3-1
Doc Type: Bug Fix
Doc Text:
Firefox 68 ESR does not support several standard units in the <svg> tag. (For more information, see https://bugzilla.mozilla.org/1287054.) Consequently, before this update, aggregated status card icons appeared larger than intended. This update uses supported units to size icons, and as a result, icons appear correctly in FireFox 68 ESR and later.
Clone Of: 1855761
Environment:
Last Closed: 2020-09-23 16:11:59 UTC
oVirt Team: UX
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3807 0 None None None 2020-09-23 16:12:03 UTC

Description Andrea Perotti 2020-09-04 14:21:54 UTC
+++ This bug was initially created as a clone of Bug #1855761 +++

When opening the web admin interface with firefox 68.10.0esr the web admin interface looks like in attached screenshot firefox.png.
It seems pretty broken compared to the Chrome one.

Within google chrome it looks normal, see chrome.png

--- Additional comment from RHEL Program Management on 2020-07-10 12:35:08 UTC ---

This bug report has Keywords: Regression or TestBlocker.
Since no regressions or test blockers are allowed between releases, it is also being identified as a blocker for this release. Please resolve ASAP.

--- Additional comment from Sandro Bonazzola on 2020-07-10 12:36:24 UTC ---



--- Additional comment from Sandro Bonazzola on 2020-07-10 12:46:15 UTC ---

# rpm -qv ovirt-engine
ovirt-engine-4.4.1.8-1.el8.noarch

--- Additional comment from Michal Skrivanek on 2020-07-13 09:30:26 UTC ---

with ovirt-engine-ui-extensions-1.2.2-1 ?

--- Additional comment from Michal Skrivanek on 2020-07-13 12:08:09 UTC ---

nevermind.
I can confirm that on ESR 68 (both oVirt and RHV), however this version is on its way out, the new ESR 78 doesn't exhibit this behavior. It's already released but ESR68 is still supported for next 2 months. 

But it doesn't seem to affect functionality, just looks a bit ugly with those big icons.
We can still try to fix that since it may be trivial(needs deeper investigation)

--- Additional comment from Ivana Saranova on 2020-08-20 23:08:00 UTC ---

Steps:
1) Check dashboards in Admin portal

Results:
Interface is shown correctly.

Verified in:
ovirt-engine-4.4.2.3-0.6.el8ev.noarch
ovirt-engine-ui-extensions-1.2.3-1.el8ev.noarch

firefox-78.0.2-1.fc31.x86_64
firefox-68.5esr

--- Additional comment from Sandro Bonazzola on 2020-08-27 15:16:25 UTC ---

Verified on my side too with firefox 78.2.0esr on RHEL 8, looks good.

Comment 22 errata-xmlrpc 2020-09-23 16:11:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Red Hat Virtualization security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3807


Note You need to log in before you can comment on or make changes to this bug.